# MPI_Graphdims_get

## NAME

MPI_Graphdims_get − Retrieves graph topology information associated with a communicator.

## SYNTAX

## C Syntax

#include <mpi.h>
int MPI_Graphdims_get(MPI_Comm comm, int *nnodes, int *nedges)

## Fortran Syntax

INCLUDE ’mpif.h’
MPI_GRAPHDIMS_GET(COMM, NNODES, NEDGES, IERROR)

| INTEGER |  |  | COMM, NNODES, NEDGES, IERROR

## C++ Syntax

#include <mpi.h>
void Graphcomm::Get dims(int nnodes[], int nedges[]) const

## INPUT PARAMETER

| comm |  | Communicator for group with graph structure (handle).

## OUTPUT PARAMETERS

| nnodes |  | Number of nodes in graph (integer). |
| nedges |  | Number of edges in graph (integer). |
| IERROR |  | Fortran only: Error status (integer). |

## DESCRIPTION

Functions MPI_Graphdims_get and MPI_Graph_get retrieve the graph-topology information that was associated with a communicator by MPI_Graph_create.

The information provided by MPI_Graphdims_get can be used to dimension the vectors index and edges correctly for a call to MPI_Graph_get.

## ERRORS

Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI:Exception object.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Comm_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error.

## SEE ALSO

MPI_Graph_create
MPI_Graph_get

MPI API Index